Main Page Widgets Namespaces Book

# Gtk::ComboDropDown_Helpers::ComboDropDownList Class Reference

Inheritance diagram for Gtk::ComboDropDown_Helpers::ComboDropDownList:

[legend]

List of all members.

## Public Types

typedef Glib::HelperList < ComboDropDownItem, const Element, Glib::List_Cpp_Iterator < GtkListItem, ComboDropDownItem > > | type_base

## Public Member Functions

| ComboDropDownList (const ComboDropDownList& src)
| ComboDropDownList (GtkList* gparent)
| ComboDropDownList ()
virtual iterator | erase (iterator)
virtual void | erase (iterator start, iterator stop)
iterator | find (Widget&)
iterator | find (const_reference c)
virtual GList*& | glist () const
const GtkList* | gparent () const
GtkList* | gparent ()
template<class InputIterator>
void | insert (iterator position, InputIterator first, InputIterator last)
iterator | insert (iterator position, element_type& e)
ComboDropDownList& | operator= (const ComboDropDownList& src)
reference | operator[] (size_type l) const
| This is order n. (use at own risk).
void | push_back (element_type& e)
void | push_front (element_type& e)
virtual void | remove (const_reference)
virtual | ~ComboDropDownList ()

## Member Typedef Documentation

typedef Glib::HelperList<ComboDropDownItem, const Element, Glib::List_Cpp_Iterator<GtkListItem,ComboDropDownItem>> Gtk::ComboDropDown_Helpers::ComboDropDownList::type_base

## Constructor & Destructor Documentation

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( |  | ) |

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( | GtkList * | gparent | ) | `[explicit]`

Gtk::ComboDropDown_Helpers::ComboDropDownList::ComboDropDownList | ( | const ComboDropDownList& | src | ) |

virtual Gtk::ComboDropDown_Helpers::ComboDropDownList::~ComboDropDownList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::erase | ( | iterator |  | ) | `[virtual]`

virtual void Gtk::ComboDropDown_Helpers::ComboDropDownList::erase | ( | iterator | start,
|  | iterator | stop |
| ) |  |  | `[virtual]`

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::find | ( | Widget& |  | ) |

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::find | ( | const_reference | c | ) |

virtual GList*& Gtk::ComboDropDown_Helpers::ComboDropDownList::glist | ( |  | ) | const`[virtual]`

Implements Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

const GtkList* Gtk::ComboDropDown_Helpers::ComboDropDownList::gparent | ( |  | ) | const

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

GtkList* Gtk::ComboDropDown_Helpers::ComboDropDownList::gparent | ( |  | ) |

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

template <class InputIterator>

void Gtk::ComboDropDown_Helpers::ComboDropDownList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last |
| ) |  |  | `[inline]`

References insert().

iterator Gtk::ComboDropDown_Helpers::ComboDropDownList::insert | ( | iterator | position,
|  | element_type & | e |
| ) |  |  |

Referenced by insert(), push_back(), and push_front().

ComboDropDownList& Gtk::ComboDropDown_Helpers::ComboDropDownList::operator= | ( | const ComboDropDownList& | src | ) |

reference Gtk::ComboDropDown_Helpers::ComboDropDownList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk).

void Gtk::ComboDropDown_Helpers::ComboDropDownList::push_back | ( | element_type & | e | ) | `[inline]`

References Glib::HelperList<T_Child, T_CppElement, T_Iterator>::end(), and insert().

void Gtk::ComboDropDown_Helpers::ComboDropDownList::push_front | ( | element_type & | e | ) | `[inline]`

References Glib::HelperList<T_Child, T_CppElement, T_Iterator>::begin(), and insert().

virtual void Gtk::ComboDropDown_Helpers::ComboDropDownList::remove | ( | const_reference |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- combo.h